blfwk::FlashEraseRegion Class Reference

Represents the bootloader Flash Erase command. More...

`#include <Command.h>`

Inheritance diagram for blfwk::FlashEraseRegion:
[legend]
Collaboration diagram for blfwk::FlashEraseRegion:
[legend]

## Public Member Functions

| FlashEraseRegion (const string_vector_t *argv)
| Constructor that takes an argument vector.
| FlashEraseRegion (uint32_t start, uint32_t length)
| Constructor that takes a start and length arguments.
virtual bool | init ()
| Initialize.
virtual void | sendTo (Packetizer &packetizer)
| Send command to packetizer.
Public Member Functions inherited from blfwk::Command
virtual | ~Command ()
| Destructor.
virtual const uint32_vector_t * | getResponseValues () const
| Get response values vector.
virtual std::string | getResponse () const
| Get response as JSON string.
void | logResponses () const
| Log the response description.
void | registerProgress (Progress *progress)
| initial the process callback.
virtual std::string | getArg (int arg) const
| Get the specified argument.
virtual std::string | getName () const
| Get the command name (i.e. argv[0]).
virtual size_t | getArgCount () const
| Get the number of arguments, including the command name.

## Protected Member Functions

virtual bool | processResponse (const uint8_t *packet)
| Check response packet.
Protected Member Functions inherited from blfwk::Command
| Command (const string_vector_t *argv)
| Constructor that takes a command name and list of arguments. More...
| Command (const char *const name)
| Constructor that takes a command name. More...
virtual bool | processResponse (const generic_response_packet_t *packet, uint8_t commandTag)
| Check generic response packet. More...

## Protected Attributes

uint32_t | m_startAddress
| Starting address in flash.
uint32_t | m_byteCount
| Number of bytes to erase.
Protected Attributes inherited from blfwk::Command
string_vector_t | m_argv
| Vector of argument strings.
uint32_vector_t | m_responseValues
| Vector of response values.
string | m_responseDetails
| Descriptive response.

## Additional Inherited Members

Static Public Member Functions inherited from blfwk::Command
static Command * | create (const string_vector_t *argv)
| Create an appropriate command subclass. More...
static std::string | getStatusMessage (status_t code)
| Get a status code description.
Public Attributes inherited from blfwk::Command
Progress * | m_progress
| Variable for progress control.

## Detailed Description

Represents the bootloader Flash Erase command.

The documentation for this class was generated from the following files:

- Command.h
- Command.cpp